Debian Bug report logs - #585480
RFP: puae -- Amiga Emulator for *nix Systems

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Piotr Ożarowski <piotr@debian.org>

Date: Thu, 10 Jun 2010 21:00:09 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, uae@packages.debian.org, wnpp@debian.org:
Bug#585480; Package wnpp. (Thu, 10 Jun 2010 21:00:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr Ożarowski <piotr@debian.org>:
New Bug report received and forwarded. Copy sent to uae@packages.debian.org, wnpp@debian.org. (Thu, 10 Jun 2010 21:00:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Piotr Ożarowski <piotr@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: puae -- Amiga Emulator for *nix Systems
Date: Thu, 10 Jun 2010 22:59:25 +0200
Package: wnpp
Severity: wishlist

* Package name    : puae
  Version         : 2.2.0~beta
  Upstream Author : Mustafa 'GnoStiC' TUFAN <mustafa.tufan@gmail.com>
* URL             : http://github.com/GnoStiC/PUAE
* License         : GPL
  Programming Lang: C
  Description     : Amiga Emulator for *nix Systems

PUAE tries to continue where E-UAE left off..
PUAE versioning is based on the merged WinUAE version..




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#585480; Package wnpp. (Thu, 01 Jul 2010 18:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephan Sürken <absurd@olurdix.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 01 Jul 2010 18:27:08 GMT) Full text and rfc822 format available.

Message #10 received at 585480@bugs.debian.org (full text, mbox):

From: Stephan Sürken <absurd@olurdix.de>
To: Piotr Ożarowski <piotr@debian.org>, 585480@bugs.debian.org
Subject: Re: Bug#585480: RFP: puae -- Amiga Emulator for *nix Systems
Date: Thu, 01 Jul 2010 20:24:31 +0200
Piotr,

On Thu, 2010-06-10 at 22:59 +0200, Piotr Ożarowski wrote: 
> Package: wnpp
> Severity: wishlist
> 
> * Package name    : puae
>   Version         : 2.2.0~beta
>   Upstream Author : Mustafa 'GnoStiC' TUFAN <mustafa.tufan@gmail.com>
> * URL             : http://github.com/GnoStiC/PUAE
> * License         : GPL
>   Programming Lang: C
>   Description     : Amiga Emulator for *nix Systems
> 
> PUAE tries to continue where E-UAE left off..
> PUAE versioning is based on the merged WinUAE version..

ok, interesting. I wasn't aware of yet another fork ;).

Does this also mean that e-uae is officially abandoned by Mr Drummond?

Anyway, looking at puae, it seems it merely consists of a git repo (with
mysterious log messages ;)? Is there some more information somewhere,
and are there releases to download?

Thx,

Stephan
-- 
Stephan Sürken <absurd at olurdix.de>





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#585480; Package wnpp. (Thu, 01 Jul 2010 21:15:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr Ożarowski <piotr@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 01 Jul 2010 21:15:14 GMT) Full text and rfc822 format available.

Message #15 received at 585480@bugs.debian.org (full text, mbox):

From: Piotr Ożarowski <piotr@debian.org>
To: Stephan Sürken <absurd@olurdix.de>
Cc: 585480@bugs.debian.org
Subject: Re: Bug#585480: RFP: puae -- Amiga Emulator for *nix Systems
Date: Thu, 1 Jul 2010 23:10:59 +0200
[Message part 1 (text/plain, inline)]
[Stephan Sürken, 2010-07-01]
> > * URL             : http://github.com/GnoStiC/PUAE
[...]
> ok, interesting. I wasn't aware of yet another fork ;).
> 
> Does this also mean that e-uae is officially abandoned by Mr Drummond?

Last version was released over 3 years ago so it looks abandoned to me

> Anyway, looking at puae, it seems it merely consists of a git repo (with
> mysterious log messages ;)? Is there some more information somewhere,
> and are there releases to download?

There's a mailing list¹ and a forum², but the GIT repo is the closest
thing to a homepage I could find. I don't think there's a released
tarball anywhere...

[¹] http://www.freelists.org/list/uae
[²] http://eab.abime.net/forumdisplay.php?f=54
-- 
Piotr Ożarowski                         Debian GNU/Linux Developer
www.ozarowski.pl          www.griffith.cc           www.debian.org
GPG Fingerprint: 1D2F A898 58DA AF62 1786 2DF7 AEF6 F1A2 A745 7645
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#585480; Package wnpp. (Sat, 04 Jun 2011 00:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 04 Jun 2011 00:48:03 GMT) Full text and rfc822 format available.

Message #20 received at 585480@bugs.debian.org (full text, mbox):

From: Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: 585480@bugs.debian.org
Cc: piotr@debian.org, absurd@olurdix.de
Subject: Re: Bug#585480: RFP: puae -- Amiga Emulator for *nix Systems
Date: Sat, 4 Jun 2011 02:45:18 +0200
Hi,

have there been any recent developments regarding the packaging?

I just stumbled across this RFP since a new version of WinUAE was just
released as of June 2 [1] which now has the nice feature that it ships
with the free kickstart replacement developed by the AROS community [2].

This means, that WinUAE can be used without having to use the original
kickstart ROMs. So I think it would have been a nice idea to include the
AROS kickstart in the Debian 'puae' package as well. This way, the emulator
will be able to run without any further non-free components which
means that 'puae' could go into 'main'.

I am btw the maintainer of the 'kcemu' package [3] which emulates 8 bit
computers made in former East Germany and I would be glad to help with
the packaging of 'puae'.

I also think it would be ok to drop 'euae' and 'uae' in favour of 'puae' since
the former two don't appear to be actively maintained anymore.

Regards,

Adrian

[1] http://www.evillabs.net/wiki/index.php/AROS_m68k-amiga
[2] http://www.winuae.net/
[3] http://packages.debian.org/squeeze/kcemu



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#585480; Package wnpp. (Sat, 18 Jun 2011 20:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philippe Coval <rzr@gna.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 18 Jun 2011 20:36:06 GMT) Full text and rfc822 format available.

Message #25 received at 585480@bugs.debian.org (full text, mbox):

From: Philippe Coval <rzr@gna.org>
To: 585480@bugs.debian.org
Subject: p-uae
Date: Sat, 18 Jun 2011 22:34:00 +0200
hi,

I build it for i386, but there some mistake to fix for amd64 ... 

Anyone here interessed into comaintenance ? or able to upload it ?

I will report my work later at http://rzr.online.fr/q/amiga






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#585480; Package wnpp. (Wed, 20 Jul 2011 16:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephan Sürken <absurd@olurdix.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 20 Jul 2011 16:48:04 GMT) Full text and rfc822 format available.

Message #30 received at 585480@bugs.debian.org (full text, mbox):

From: Stephan Sürken <absurd@olurdix.de>
To: Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Cc: 585480@bugs.debian.org, piotr@debian.org
Subject: Re: Bug#585480: RFP: puae -- Amiga Emulator for *nix Systems
Date: Wed, 20 Jul 2011 18:45:03 +0200
Hi Adrian,

On Sat, 2011-06-04 at 02:45 +0200, Adrian Glaubitz wrote:
> Hi,
> 
> have there been any recent developments regarding the packaging?

does not seem so ;(.

> I just stumbled across this RFP since a new version of WinUAE was just
> released as of June 2 [1] which now has the nice feature that it ships
> with the free kickstart replacement developed by the AROS community [2].
> 
> This means, that WinUAE can be used without having to use the original
> kickstart ROMs. So I think it would have been a nice idea to include the
> AROS kickstart in the Debian 'puae' package as well. This way, the emulator
> will be able to run without any further non-free components which
> means that 'puae' could go into 'main'.

Hmm, ok. This would be a benefit (for [e-]uae just as well). Wishlist
bug?

> I am btw the maintainer of the 'kcemu' package [3] which emulates 8 bit
> computers made in former East Germany and I would be glad to help with
> the packaging of 'puae'.
> 
> I also think it would be ok to drop 'euae' and 'uae' in favour of 'puae' since
> the former two don't appear to be actively maintained anymore.

Last time I checked, the "puae" software et.al.(tm) wasn't in a state
that made me inclined to package it ;), but this may have changed.

However, I still only see some git repository really; what state is
puae, as a software project, actually in?

When it comes to packaging, I guess starting out with the current e-uae
packaging as template would be fine; be sure it can co-exist with
uae/e-uae though, at least as long as I am not convinced it really
obsoletes them.

Then again, I also see a debian/ in the git repo, so maybe there is work
already done?

MfG,

Stephan





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#585480; Package wnpp. (Sun, 31 Jul 2011 13:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philippe Coval <rzr@gna.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 31 Jul 2011 13:57:04 GMT) Full text and rfc822 format available.

Message #35 received at 585480@bugs.debian.org (full text, mbox):

From: Philippe Coval <rzr@gna.org>
To: Martin Steigerwald <Martin@lichtvoll.de>
Cc: Stephan Sürken <absurd@debian.org>, Christian Britz <cbritz@gmx.net>, Mustafa Tufan <mustafa.tufan@gmail.com>, 585480@bugs.debian.org
Subject: Re: [uae] Does anybody run PUAE on Debian Lenny?
Date: Sun, 31 Jul 2011 15:55:14 +0200
hi there

yes i played a bit on it lately check 
http://rzr.online.fr/q/emulate

let me update :
http://bugs.debian.org/585480

Currently it does not build on amd64 , so I put it on hold
but if any one is interested for co-maintainance,
I'll push my git repo to alioth which team can take it ? collab-maintain ?

I'll update that upper url later

-- 
# http://rzr.online.fr -- xmpp:rzr[a]jabber.org 




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#585480; Package wnpp. (Mon, 01 Aug 2011 08:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Steigerwald <Martin@lichtvoll.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 01 Aug 2011 08:45:03 GMT) Full text and rfc822 format available.

Message #40 received at 585480@bugs.debian.org (full text, mbox):

From: Martin Steigerwald <Martin@lichtvoll.de>
To: Philippe Coval <rzr@gna.org>
Cc: Stephan Sürken <absurd@debian.org>, Christian Britz <cbritz@gmx.net>, Mustafa Tufan <mustafa.tufan@gmail.com>, 585480@bugs.debian.org
Subject: Re: [uae] Does anybody run PUAE on Debian Lenny?
Date: Mon, 1 Aug 2011 10:42:32 +0200
Am Sonntag, 31. Juli 2011 schrieb Philippe Coval:
> hi there

Hi Philippe,

> yes i played a bit on it lately check
> http://rzr.online.fr/q/emulate
> 
> let me update :
> http://bugs.debian.org/585480
> 
> Currently it does not build on amd64 , so I put it on hold
> but if any one is interested for co-maintainance,

I can try building on amd64 when I manage to take time for it. Might take 
some time tough.

> I'll push my git repo to alioth which team can take it ?
> collab-maintain ?

Would be nice. I have a collab-maintain packages as well (fio) and thus it 
should be easy to get access to.

Thanks,
-- 
Martin 'Helios' Steigerwald - http://www.Lichtvoll.de
GPG: 03B0 0D6C 0040 0710 4AFA  B82F 991B EAAC A599 84C7




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#585480; Package wnpp. (Sat, 25 Feb 2012 00:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 25 Feb 2012 00:24:03 GMT) Full text and rfc822 format available.

Message #45 received at 585480@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: 585480@bugs.debian.org
Cc: Stephan Sürken <absurd@debian.org>, Christian Britz <cbritz@gmx.net>, Mustafa Tufan <mustafa.tufan@gmail.com>, Philippe Coval <rzr@gna.org>
Subject: Re: [uae] Does anybody run PUAE on Debian Lenny?
Date: Sat, 25 Feb 2012 01:20:33 +0100
Hi,

> > Currently it does not build on amd64 , so I put it on hold
> > but if any one is interested for co-maintainance,
> 
> I can try building on amd64 when I manage to take time for it. Might take 
> some time tough.

I just checked out the latest source from git and used the supplied debian
directory to build the package with debuild on my wheezy/amd64 machine,
the build finished without any problems and the emulator seems to run fine.

So, I guess the problem has been fixed if it has ever been a problem with p-uae
itself.

As for the included debian directory, the upstream source should probably be
stripped from it since the debhelper version used is deprecated anyway
(uses the old debian/rules file) and the old source format. Also, usually
the upstream source shouldn't include the debian stuff but this should be
taken care of by the Debian maintainer(s) of the package.

I recommend creating an orig tarball from the git repository, stripped from
the debian directory (and maybe other stuff which is not compliant with
the dfsg), then starting the debianization from scratch using
the current debhelper version and source format. We still can reuse some
of the files provided in the upstream debian directory however.

Regards,

Adrian



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#585480; Package wnpp. (Wed, 27 Mar 2013 00:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Mar 2013 00:09:04 GMT) Full text and rfc822 format available.

Message #50 received at 585480@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: 585480@bugs.debian.org, Stephan Sürken <absurd@olurdix.de>, Mustafa Tufan <mustafa.tufan@gmail.com>, Piotr Ożarowski <piotr@debian.org>, fs-uae@fengestad.no, Philippe Coval <rzr@gna.org>, Martin Steigerwald <Martin@lichtvoll.de>
Subject: Re: Bug#585480: RFP: puae -- Amiga Emulator for *nix Systems
Date: Wed, 27 Mar 2013 01:07:53 +0100
Just as a short heads-up on this: I am currently packaging "fs-uae", 
another, very fancy fork of WinUAE with the focus on gaming [1].

The package was already ready and has been uploaded into the NEW queue, 
it got rejected however due to several license issues. I have talked 
with upstream and he is making the appropriate changes for the next 
stable release, 2.2.

I'm not sure how many people are interested in puae or how swift the 
upstream development is, but in any case, fs-uae will be another 
alternative as well.

I have already agreed with Stefan Sürken to remove e-uae and uae from 
Debian once fs-uae has been accepted into unstable.

Cheers,

Adrian

> [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=680899

-- 
 .''`.  John Paul Adrian Glaubitz
: :' :  Debian Developer - glaubitz@debian.org
`. `'   Freie Universitaet Berlin - glaubitz@physik.fu-berlin.de
  `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#585480; Package wnpp. (Wed, 27 Mar 2013 05:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mustafa Tufan <mustafa.tufan@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Mar 2013 05:39:09 GMT) Full text and rfc822 format available.

Message #55 received at 585480@bugs.debian.org (full text, mbox):

From: Mustafa Tufan <mustafa.tufan@gmail.com>
To: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Cc: 585480@bugs.debian.org, Stephan Sürken <absurd@olurdix.de>, Piotr Ożarowski <piotr@debian.org>, fs-uae@fengestad.no, Philippe Coval <rzr@gna.org>, Martin Steigerwald <Martin@lichtvoll.de>
Subject: Re: Bug#585480: RFP: puae -- Amiga Emulator for *nix Systems
Date: Wed, 27 Mar 2013 07:35:52 +0200
[Message part 1 (text/plain, inline)]
Hello,

 Thank you for letting me know and trying to keep the Amiga spirit alive,

cheers,

Mustafa "GnoStiC" Tufan

p.s.:
PUAE is actively developed (https://github.com/GnoStiC/PUAE)


On Wed, Mar 27, 2013 at 2:07 AM, John Paul Adrian Glaubitz <
glaubitz@physik.fu-berlin.de> wrote:

> Just as a short heads-up on this: I am currently packaging "fs-uae",
> another, very fancy fork of WinUAE with the focus on gaming [1].
>
> The package was already ready and has been uploaded into the NEW queue, it
> got rejected however due to several license issues. I have talked with
> upstream and he is making the appropriate changes for the next stable
> release, 2.2.
>
> I'm not sure how many people are interested in puae or how swift the
> upstream development is, but in any case, fs-uae will be another
> alternative as well.
>
> I have already agreed with Stefan Sürken to remove e-uae and uae from
> Debian once fs-uae has been accepted into unstable.
>
> Cheers,
>
> Adrian
>
> > [1] http://bugs.debian.org/cgi-**bin/bugreport.cgi?bug=680899<http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=680899>
>
> --
>  .''`.  John Paul Adrian Glaubitz
> : :' :  Debian Developer - glaubitz@debian.org
> `. `'   Freie Universitaet Berlin - glaubitz@physik.fu-berlin.de
>   `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#585480; Package wnpp. (Fri, 29 Mar 2013 23:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Steigerwald <Martin@lichtvoll.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 29 Mar 2013 23:03:04 GMT) Full text and rfc822 format available.

Message #60 received at 585480@bugs.debian.org (full text, mbox):

From: Martin Steigerwald <Martin@lichtvoll.de>
To: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Cc: 585480@bugs.debian.org, Stephan Sürken <absurd@olurdix.de>, Mustafa Tufan <mustafa.tufan@gmail.com>, Piotr Ożarowski <piotr@debian.org>, fs-uae@fengestad.no, Philippe Coval <rzr@gna.org>
Subject: Re: Bug#585480: RFP: puae -- Amiga Emulator for *nix Systems
Date: Fri, 29 Mar 2013 23:48:31 +0100
Am Mittwoch, 27. März 2013 schrieb John Paul Adrian Glaubitz:
> Just as a short heads-up on this: I am currently packaging "fs-uae",
> another, very fancy fork of WinUAE with the focus on gaming [1].
> 
> The package was already ready and has been uploaded into the NEW queue,
> it got rejected however due to several license issues. I have talked
> with upstream and he is making the appropriate changes for the next
> stable release, 2.2.
> 
> I'm not sure how many people are interested in puae or how swift the
> upstream development is, but in any case, fs-uae will be another
> alternative as well.
> 
> I have already agreed with Stefan Sürken to remove e-uae and uae from
> Debian once fs-uae has been accepted into unstable.

There is one thing I like about uae and e-uae: They can run in windowed 
mode. Can fs-uae also run in windowed mode?

>  > [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=680899

-- 
Martin 'Helios' Steigerwald - http://www.Lichtvoll.de
GPG: 03B0 0D6C 0040 0710 4AFA  B82F 991B EAAC A599 84C7



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#585480; Package wnpp. (Sat, 30 Mar 2013 09:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frode Solheim <fs-uae@fengestad.no>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 30 Mar 2013 09:51:04 GMT) Full text and rfc822 format available.

Message #65 received at 585480@bugs.debian.org (full text, mbox):

From: Frode Solheim <fs-uae@fengestad.no>
To: 585480@bugs.debian.org
Subject: Re: Bug#585480: RFP: puae -- Amiga Emulator for *nix Systems
Date: Sat, 30 Mar 2013 10:42:07 +0100
On 29.03.13 23.48, Martin Steigerwald wrote:
> There is one thing I like about uae and e-uae: They can run in 
> windowed mode. Can fs-uae also run in windowed mode?
Yes, it can (and it also defaults to running in windowed mode).

Best regards,
Frode




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:50:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.